%define subrel 1

Summary:	Untrusted/encrypted backup using rsync algorithm
Version:	0.6.22
Name:		duplicity
Release:	%mkrel 5
License:	GPLv2
Group:		Archiving/Backup
URL:		http://www.nongnu.org/duplicity/
Source0:	http://download.savannah.gnu.org/releases/duplicity/%{name}-%{version}.tar.gz
Source1:	http://download.savannah.gnu.org/releases/duplicity/%{name}-%{version}.tar.gz.sig
# (misc) patch was sent upstream : https://bugs.launchpad.net/duplicity/+bug/518629
Patch0:		patch-64bits.patch
Patch1:         duplicity-0.7.01-librsync-1.0.0.patch
BuildRequires:	librsync-devel
BuildRequires:	python-devel
Requires:	gnupg
Requires:	ncftp
Requires:	openssh-clients
Requires:	python-boto
Requires:	python-gdata
Requires:	python-GnuPG-Interface
Requires:	rsync
Requires:	python-gi
Requires:   python-paramiko

%description
Duplicity incrementally backs up files and directory by encrypting tar-format
volumes with GnuPG and uploading them to a remote (or local) file server. In
theory many remote backends are possible; right now local, ssh/scp, ftp, and
rsync backends are written. Because duplicity uses librsync, the incremental
archives are space efficient and only record the parts of files that have
changed since the last backup.  Currently duplicity supports deleted files,
full unix permissions, directories, symbolic links, fifos, etc., but not hard
links.

%prep

%setup -q
%patch0 -p0
%patch1 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --prefix=%{buildroot}%{_prefix}

#handle docs in files section
rm -Rf %{buildroot}%{_docdir}

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGELOG README
%{_mandir}/man1/%{name}*
%{_mandir}/man1/rdiffdir*
%{_bindir}/rdiffdir
%{_bindir}/duplicity
%{_mandir}/man1/%{name}*
%{_mandir}/man1/rdiffdir*
%{python_sitearch}/duplicity
%{python_sitearch}/*.egg-info



%changelog
* Sun Mar 22 2015 philippem <philippem> 0.6.22-5.1.mga4
+ Revision: 819086
- fix rebuild for new librsync
- rebuild for new librsync mga#15543
- add missing requires on python-paramiko

* Sat Nov 02 2013 fwang <fwang> 0.6.22-4.mga4
+ Revision: 548863
- add requires on python-gi

* Tue Oct 22 2013 umeabot <umeabot> 0.6.22-3.mga4
+ Revision: 542533
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.6.22-2.mga4
+ Revision: 497732
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 0.6.22-1.mga4
+ Revision: 474014
- update to 0.6.22

* Sat Jun 15 2013 wally <wally> 0.6.21-1.mga4
+ Revision: 443342
- new version 0.6.21
- clean .spec a bit

* Fri Jan 11 2013 umeabot <umeabot> 0.6.20-2.mga3
+ Revision: 349176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 philippem <philippem> 0.6.20-1.mga3
+ Revision: 318291
- new upstream

* Sat Aug 11 2012 wally <wally> 0.6.19-1.mga3
+ Revision: 280620
- new version 0.6.19
- clean .spec a bit

* Mon Mar 05 2012 philippem <philippem> 0.6.18-1.mga2
+ Revision: 218501
- Update to 0.6.18.

* Sat Dec 17 2011 philippem <philippem> 0.6.17-2.mga2
+ Revision: 183143
+ rebuild (emptylog)

* Sat Nov 26 2011 philippem <philippem> 0.6.17-1.mga2
+ Revision: 172039
- Update to 0.6.17

  + dmorgan <dmorgan>
    - New version 0.6.15

* Sat Apr 16 2011 philippem <philippem> 0.6.13-1.mga1
+ Revision: 86787
- new upstream

* Thu Feb 24 2011 philippem <philippem> 0.6.11-2.mga1
+ Revision: 58811
+ rebuild (emptylog)

* Thu Feb 24 2011 philippem <philippem> 0.6.11-1.mga1
+ Revision: 58447
- imported package duplicity


* Thu Feb 24 2011 Philippe Makowski <makowski.mageia@gmail.com> 0.6.11-1mga1
- initial import
- update to release 0.6.11
- add new dependencies

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.6.08b-2mdv2011.0
+ Revision: 592382
- rebuild for python 2.7

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Update to release 0.6.08b.

* Mon Mar 01 2010 Frederik Himpe <fhimpe@mandriva.org> 0.6.07-1mdv2010.1
+ Revision: 513072
- update to new version 0.6.07

  + Michael Scherer <misc@mandriva.org>
    - clean old check on unsupported versions

* Fri Nov 13 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.06-1mdv2010.1
+ Revision: 465924
- update to new version 0.6.06

* Sat Aug 29 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.05-1mdv2010.0
+ Revision: 422302
- update to new version 0.6.05

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.04-1mdv2010.0
+ Revision: 415724
- update to new version 0.6.04

* Fri Jul 31 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.03-1mdv2010.0
+ Revision: 405214
- update to new version 0.6.03

* Sat Jul 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.01-1mdv2010.0
+ Revision: 392364
- update to new version 0.6.01

* Tue Jun 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.00-1mdv2010.0
+ Revision: 384470
- update to new version 0.6.00

* Thu May 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.18-1mdv2010.0
+ Revision: 378386
- update to new version 0.5.18

* Tue May 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.17-1mdv2010.0
+ Revision: 372223
- update to new version 0.5.17

* Mon Mar 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.12-1mdv2009.1
+ Revision: 355821
- update to new version 0.5.12

* Sat Mar 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.11-1mdv2009.1
+ Revision: 355055
- update to new version 0.5.11

* Sat Feb 14 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5.08-1mdv2009.1
+ Revision: 340252
- 0.5.08
- fixed the spec file

* Fri Jan 30 2009 Jérôme Soyer <saispo@mandriva.org> 0.5.06-1mdv2009.1
+ Revision: 335634
- import duplicity


